%define	emacsver	21.3
%define	xemacsver	21.4
%define	emikover	1.14.1-23m
%define	e_sitedir	/usr/share/emacs/site-lisp
%define	xe_sitedir	/usr/lib/xemacs/site-lisp
%define	sitepdir	/usr/lib/xemacs/site-packages
%define	cvsday		20010927

Summary: RAIL - Replace Agent-string Internal Library - for Emacsen
Name: elisp-rail
Version: 1.2.6
Release: 3m
License: GPL
Group: Applications/Editors
Source0: ftp://ftp.fan.gr.jp/pub/elisp/rail/rail-%{version}.tar.gz
Nosource: 0
Source1: LIMIT-VERSION
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}
BuildPreReq: emiko-emacs >= %{emikover}, emiko-xemacs >= %{emikover}

%description
Rail has some features as followed:

1. Compatible with genjis.el within tm package:
   (Japanizes the variable mule-version)
2. Japanizes the code name of FLIM, SEMI, XEmacs, UTF-2000 Mule and Meadow.
   Then applies it to the User-Agent: field of the messages.
3. Japanizes the code name of Mule, XEmacs and Meadow 
   when irchat-pj sends back at receiving CTCP VERSION.

%package -n rail-emacs
Group: Applications/Editors
Summary: RAIL - Replace Agent-string Internal Library - for Emacs
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
Requires: emiko-emacs >= %{emikover}

%description -n rail-emacs
Rail has some features as followed:

1. Compatible with genjis.el within tm package:
   (Japanizes the variable mule-version)
2. Japanizes the code name of FLIM, SEMI, XEmacs, UTF-2000 Mule and Meadow.
   Then applies it to the User-Agent: field of the messages.
3. Japanizes the code name of Mule, XEmacs and Meadow 
   when irchat-pj sends back at receiving CTCP VERSION.

%package -n rail-xemacs
Group: Applications/Editors
Summary: RAIL - Replace Agent-string Internal Library - for XEmacs
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}
Requires: emiko-xemacs >= %{emikover}

%description -n rail-xemacs
Rail has some features as followed:

1. Compatible with genjis.el within tm package:
   (Japanizes the variable mule-version)
2. Japanizes the code name of FLIM, SEMI, XEmacs, UTF-2000 Mule and Meadow.
   Then applies it to the User-Agent: field of the messages.
3. Japanizes the code name of Mule, XEmacs and Meadow 
   when irchat-pj sends back at receiving CTCP VERSION.

%prep
%setup -q -n rail-%{version}

cp -f %{SOURCE1} contrib/FLIM_VERSION
rm -rf %{buildroot}

%build
mkdir -p %{buildroot}%{e_sitedir}/rail
mkdir -p %{buildroot}%{sitepdir}

make EMACS=emacs \
	PREFIX=%{buildroot}%{_prefix} \
	LISPDIR=%{buildroot}%{e_sitedir}/rail \
	VERSION_SPECIFIC_LISPDIR=%{buildroot}%{e_sitedir}/emu
make EMACS=emacs \
	PREFIX=%{buildroot}%{_prefix} \
	LISPDIR=%{buildroot}%{e_sitedir}/rail \
	VERSION_SPECIFIC_LISPDIR=%{buildroot}%{e_sitedir}/emu \
	install

make clean

make XEMACS=xemacs package
make XEMACS=xemacs PACKAGEDIR=%{buildroot}%{sitepdir} install-package

chmod -x contrib/*.perl

%install

rm -f %{buildroot}/usr/lib/xemacs/site-packages/etc/rail/00README
rm -f %{buildroot}/usr/lib/xemacs/site-packages/pkginfo/MANIFEST.rail

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc 00FAQ 00README CHANGELOG
%doc contrib

%files -n rail-emacs
%defattr(-,root,root)
%{_datadir}/emacs/site-lisp/rail

%files -n rail-xemacs
%defattr(-,root,root)
%{_libdir}/xemacs/site-packages/lisp/rail

%changelog
* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (1.2.6-3m)
- revised spec for enabling rpm 4.2.

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.6-2m)
- rebuild against emacs-21.3
- define emikover
- update emiko version
- use %%{_prefix} macro

* Sun Jan 12 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (1.2.6-1m)
- Version up to 1.2.6
- remove requires: apel, limit

* Fri Aug 16 2002 Hideo TASHIRO <tashiron@momonga-linux.org>
- (1.2.5-13m)
- rebuild against elisp-apel-10.3-21m, elisp-limit-1.14.7-19m,
   elisp-emiko-1.14.1-21m, and emacs-21.2

* Sat Dec  1 2001 Toru Hoshina <t@kondara.org>
- (1.2.5-12k)
- No docs could be excutable :-p

* Tue Oct 30 2001 Hidetomo Machi <mcHT@kondara.org>
- (1.2.5-10k)
- add LIMIT-VERSION and rebuild against it

* Tue Oct 23 2001 Hidetomo Machi <mcHT@kondara.org>
- (eilsp-rail-1.2.5-8k)
- merge rail-{emacs, xemacs}

* Thu Nov  9 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- Change BuildPreReq & Requires TAG

* Mon Oct 23 2000 Hidetomo Machi <mcHT@kondara.org>
- (1.2.5-5k)
- modify specfile (License)
- remove dir /usr/lib/xemacs/site-packages/etc/rail

* Sat Jun 10 2000 Hidetomo Machi <mcHT@kondara.org>
- version 1.2.5
- add "-q" at %setup
- modified "BuildRoot"
- add "%doc contrib"

* Sat Apr 15 2000 Hidetomo Machi <mcHT@kondara.org>
- version 1.2.4

* Fri Mar 10 2000 Hidetomo Machi <mcHT@kondara.org>
- version 1.2.3
- kondarize ;)

* Thu Dec 30 1999 SAKA Toshihide <saka@yugen.org>
- First release.
